AnalyticsServiceProperties (Java Application API for IBM Streams)
Date: 2020-08-07

com.ibm.streamsx.topology.context

## Interface AnalyticsServiceProperties

-     public interface AnalyticsServiceProperties

  Configuration properties for the Streaming Analytics service on IBM Cloud. When submitting to a Streaming Analytics service one of these two sets of information must be provided:
  - Service definition.
  - IBM Cloud service definitions and a service name. The named service must exist in service definitions and must be of type `streaming-analytics`.
  A `SERVICE_DEFINITION` takes precedence over `VCAP_SERVICES` and `SERVICE_NAME`.
  See Also:
    `StreamsContext.Type.STREAMING_ANALYTICS_SERVICE`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `SERVICE_DEFINITION` Definition of a Streaming Analytics service.
    `static java.lang.String` | `SERVICE_NAME` Name of the service to use as a `String`.
    `static java.lang.String` | `VCAP_SERVICES` IBM Cloud service definitions.

- - ### Field Detail

    - #### SERVICE_NAME

          static final java.lang.String SERVICE_NAME

      Name of the service to use as a `String`. The information for the service will be extracted from the VCAP service definitions using this name. This property must be set when submitting to `StreamsContext.Type.STREAMING_ANALYTICS_SERVICE`.
      See Also:
        Constant Field Values

    - #### VCAP_SERVICES

          static final java.lang.String VCAP_SERVICES

      IBM Cloud service definitions. The value may be:
      - `java.io.File` - File containing the VCAP services JSON.
      - `String` - String containing the VCAP services serialized JSON.
      - `com.ibm.json.java.JSONObject` - JSON object containing the VCAP services.
      If not set then the environment variable `VCAP_SERVICES` is assumed to contain service definitions directly or a file name containing the definitions.
      See Also:
        Constant Field Values

    - #### SERVICE_DEFINITION

          static final java.lang.String SERVICE_DEFINITION

      Definition of a Streaming Analytics service. A service definition is a JSON object describing a Streaming Analytics service.
      - The service credentials copied from the Service credentials page of the service console (not the Streams console). Credentials are provided in JSON format. They contain such as the API key and secret, as well as connection information for the service.
      - A JSON object of the form: `{ "type": "streaming-analytics", "name": "`service-name`", "credentials": {...} }` with the service credentials as the value of the `credentials` key
      Since:
        1.8
      See Also:
        Constant Field Values